package cd.casic.ci.process.engine.worker.target;


import cd.casic.ci.process.common.WorkAtom;
import cd.casic.ci.process.engine.runContext.TaskRunContext;
import cd.casic.ci.process.engine.worker.base.BaseWorker;
import cd.casic.ci.process.constant.PipelineTargetTypeConstant;
import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.alibaba.fastjson.JSON;
import lombok.extern.slf4j.Slf4j;


@Slf4j
@WorkAtom(taskType = PipelineTargetTypeConstant.BIN)
public class TargetBinWorker extends BaseWorker {


    @Override
    public void execute(TaskRunContext context) {
        PipBaseElement contextDef = context.getContextDef();
        String id = contextDef.getId();
        log.info("==============触发worker执行========");
        log.info("==========运行context：{}===========", JSON.toJSONString(context));
    }
}
